## sparkleshare 3.28

=== meson_options.txt ===
option('ubuntu', type: 'boolean', value: false)

## sparkleshare 0.2.2

=== debian/changelog ===
sparkleshare (0.2.2-1ubuntu1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Wed, 13 Jul 2011 10:24:57 +0000

sparkleshare (0.2.2-1ubuntu1) oneiric; urgency=low

  * [3c55d25] Add gbp.conf for Ubuntu branch.
    Ubuntu sources are stored as a branch in Debian's git repository. Please
    try to use this if possible (contact the Debian maintainers for merges).
  * [a25c5e9] Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Thu, 23 Jun 2011 21:06:17 +0100

sparkleshare (0.2.2-1) experimental; urgency=low

  * Initial upload to Debian, adapted from packages by Andrea Colangelo
    <warp10@ubuntu.com> (Closes: #597053)
  * [f8efff7] Imported Upstream version 0.2.2
  * [5e50d80] Run wrap-and-sort
  * [944e7aa] Clean up build dependencies and use CLI packaging helpers
  * [cccd3b7] Set maintainer to CLI applications team
  * [84c59dd] Rewrap long description
  * [d30ebf1] Depend on git & gvfs, and recommend python-nautilus.
    Required for a reasonable amount of functionality
  * [3a47a7b] Update copyright
  * [e350f34] Add watch file
  * [bf42781] Update package description
  * [6640d37] Add new patch to check for both 2.0 and 4.0 libs.
    This is to be compatible with mono 2.6 and 2.10. Also autoreconf to pick
    this up.
  * [1ea4e93] Add new patch introducing shebang into Nautilus extension
  * [85651a2] Recommend python for the script (thanks, Lintian)

 -- Iain Lane <laney@debian.org>  Wed, 15 Jun 2011 22:59:01 +0100

sparkleshare (0.2.1-0ppa2) oneiric; urgency=low

  * debian/control: add dependency on libwebkit1.1-cil to fix crash on
    startup (thanks to Alin Andrei for reporting and fixing this bug).
  * debian/copyright: update.

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 15 Jun 2011 11:53:00 +0200

sparkleshare (0.2.1-0ppa1) oneiric; urgency=low

  * Initial release.

 -- Andrea Colangelo <warp10@ubuntu.com>  Thu, 09 Jun 2011 08:53:08 +0200

=== debian/control ===
Source: sparkleshare
Section: utils
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               cli-common-dev (>= 0.5.7~),
               intltool,
               libappindicator0.1-cil-dev (>= 0.0.7),
               libglib2.0-cil-dev (>= 2.12.2),
               libgtk2.0-cil-dev (>= 2.12.2),
               libnotify-cil-dev,
               libwebkit-cil-dev,
               mono-devel,
               python-nautilus
Standards-Version: 3.9.2
Homepage: http://sparkleshare.org/
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/sparkleshare.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/sparkleshare.git

Package: sparkleshare
Architecture: any
Depends: git (>= 1.1.7),
         gvfs (>= 1.3),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: python, python-nautilus
Description: distributed collaboration and sharing tool
 SparkleShare is a collaboration and sharing tool that is designed to keep
 things simple and to stay out of your way. It allows you to instantly sync
 with any Git repository you have access to.
 .
 SparkleShare can be used as a rough alternative to web services such as
 Dropbox or Ubuntu One.
 .
 Though SparkleShare is not made to be a graphical frontend for git or a backup
 tool, it may be useful for other kinds of purposes as well, like backing up
 small files or monitoring your favourite project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cli-common/cli.make

override_dh_auto_configure:
	dh_auto_configure -- MCS=/usr/bin/mono-csc

override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/debian/autogen.sh

%:
	dh --with autoreconf $@

## sparkleshare 0.2.4

=== debian/changelog ===
sparkleshare (0.2.4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian experimental, remaining changes:
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Sat, 16 Jul 2011 19:11:17 +0100

sparkleshare (0.2.4-1) experimental; urgency=low

  * [7aa8901] Imported Upstream version 0.2.4
  * [584cf39] Remove 0001-Check-for-both-2.0-and-4.0-libs.patch, merged upstream.
    Also no longer need to reautogen.
  * [cf1e91c] Make sparkleshare arch:all.
    Contains only managed code.
  * [cb99676] Depend on git >= 1.7.1 per upstream

 -- Iain Lane <laney@debian.org>  Sat, 16 Jul 2011 18:57:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,23 @@
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               dh-autoreconf,
-               cli-common-dev (>= 0.5.7~),
-               intltool,
-               libappindicator0.1-cil-dev (>= 0.0.7),
-               libglib2.0-cil-dev (>= 2.12.2),
-               libgtk2.0-cil-dev (>= 2.12.2),
-               libnotify-cil-dev,
-               libwebkit-cil-dev,
-               mono-devel,
-               python-nautilus
+Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
+Build-Depends-Indep: intltool,
+                     libappindicator0.1-cil-dev (>= 0.0.7),
+                     libglib2.0-cil-dev (>= 2.12.2),
+                     libgtk2.0-cil-dev (>= 2.12.2),
+                     libnotify-cil-dev,
+                     libwebkit-cil-dev,
+                     mono-devel,
+                     python-nautilus
 Standards-Version: 3.9.2
 Homepage: http://sparkleshare.org/
 Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/sparkleshare.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/sparkleshare.git
 
 Package: sparkleshare
-Architecture: any
-Depends: git (>= 1.1.7),
+Architecture: all
+Depends: git (>= 1.7.1),
          gvfs (>= 1.3),
          ${cli:Depends},
          ${misc:Depends},

## sparkleshare 0.2.5

=== debian/changelog ===
sparkleshare (0.2.5-2ubuntu1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 12 Aug 2011 12:33:24 +0000

sparkleshare (0.2.5-2ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental, remaining changes:
    + [3c55d25] Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as
      a branch in Debian's git repository. Please try to use this if possible
      (contact the Debian maintainers for merges).
    + [a25c5e9] Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Thu, 28 Jul 2011 11:24:06 +0100

sparkleshare (0.2.5-2) experimental; urgency=low

  * [c19513a] New patch to use SparkleHelpers method instead of 4.0 only
    library one. This restores compatibility with older Mono versions.
  * [173ef62] Rename patch to
    0001-Add-missing-shebang-to-nautilus-extension.patch.
  * [47aa816] Relax mono and cli-common versioned BDs now that we don't need
    them any more

 -- Iain Lane <laney@debian.org>  Thu, 28 Jul 2011 11:02:32 +0100

sparkleshare (0.2.5-1ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental, remaining changes:
    + [3c55d25] Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as
      a branch in Debian's git repository. Please try to use this if possible
      (contact the Debian maintainers for merges).
    + [a25c5e9] Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Tue, 26 Jul 2011 13:54:11 +0100

sparkleshare (0.2.5-1) experimental; urgency=low

  * [f320fef] Imported Upstream version 0.2.5
    + Reimplement notes to be less buggy and backend independent. Polish
      about dialog and event log html. Fix a bug where large collections of
      files weren't being synced when adding them at the same time. The
      event log now collapses huge change sets and squashes events together
      by day when they are on the same day and in the same folder.
  * [8f862d6] Require mono 2.10 and cli-common-dev 0.8.
    New upstream release uses some CLR 4.0 APIs and so we need to bump the
    BDs

 -- Iain Lane <laney@debian.org>  Tue, 26 Jul 2011 09:32:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      libgtk2.0-cil-dev (>= 2.12.2),
                      libnotify-cil-dev,
                      libwebkit-cil-dev,
-                     mono-devel,
+                     mono-devel (>= 2.4.3),
                      python-nautilus
 Standards-Version: 3.9.2
 Homepage: http://sparkleshare.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cli-common/cli.make

override_dh_auto_configure:
	dh_auto_configure -- MCS=/usr/bin/mono-csc

%:
	dh $@

## sparkleshare 0.4.0

=== debian/changelog ===
sparkleshare (0.4.0-2ubuntu1) precise; urgency=low

  * Merge with Debian experimental, remaining changes:
    + Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as a branch
    in Debian's git repository. Please try to use this if possible (contact
    the Debian maintainers for merges).
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@ubuntu.com>  Mon, 28 Nov 2011 14:51:11 +0000

sparkleshare (0.4.0-2) experimental; urgency=low

  * [2ac5762] Depend on gnome-icon-theme.
    SparkleShare unconditionally uses GNOME icons and crashes when they are
    not available. (Closes: #650209)
  * [21c88c5] Fix syntax errors in d/copyright, thanks Lintian
  * [f19ee73] Remove BD on nautlius-python since it is currently broken in Debian.
    When #649910 is fixed we can look at enabling it again.

 -- Iain Lane <laney@debian.org>  Mon, 28 Nov 2011 14:43:14 +0000

sparkleshare (0.4.0-1) experimental; urgency=low

  * [8a32190] Imported Upstream version 0.4.0
  * [53a5447] Remove 
    0002-Use-SparkleHelpers-method-instead-of-4.0-only-librar.patch
  * [e9f220f] Don't run 'make check'
  * [d6970b8] Add shebang to the nautilus3 extension

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Wed, 23 Nov 2011 22:23:41 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                      libnotify-cil-dev,
                      libwebkit-cil-dev,
                      mono-devel (>= 2.4.3),
-                     python-nautilus
+#                     See #649910
+#                     python-nautilus
 Standards-Version: 3.9.2
 Homepage: http://sparkleshare.org/
 Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/sparkleshare.git
@@ -19,12 +20,13 @@
 
 Package: sparkleshare
 Architecture: all
-Depends: git (>= 1.7.1),
+Depends: gnome-icon-theme,
+         git (>= 1.7.1),
          gvfs (>= 1.3),
          ${cli:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python, python-nautilus
+# Recommends: python, python-nautilus
 Description: distributed collaboration and sharing tool
  SparkleShare is a collaboration and sharing tool that is designed to keep
  things simple and to stay out of your way. It allows you to instantly sync

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- MCS=/usr/bin/mono-csc
 
+override_dh_auto_test:
+
 %:
 	dh $@

## sparkleshare 0.4.2

=== debian/changelog ===
sparkleshare (0.4.2-1) experimental; urgency=low

  * [f4116ff] Imported Upstream version 0.4.0
  * [2e25c2c] Imported Upstream version 0.4.1
  * [080f6f3] Remove 0001-Add-missing-shebang-to-nautilus-extension.patch.
    Merged upstream
  * [0ffa880] Imported Upstream version 0.4.2

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Fri, 02 Dec 2011 16:57:23 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Iain Lane <laney@debian.org>
 Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
 Build-Depends-Indep: intltool,
-                     libappindicator0.1-cil-dev (>= 0.0.7),
                      libglib2.0-cil-dev (>= 2.12.2),
                      libgtk2.0-cil-dev (>= 2.12.2),
                      libnotify-cil-dev,

## sparkleshare 0.6.0

=== debian/changelog ===
sparkleshare (0.6.0-2) unstable; urgency=low

  * Team upload.
  * Rebuild for CLR 4.0 transition
  * [52a530b] Re-add python-nautilus build-dependency.
    This reverts commit f19ee730334cfa69de74f5373c960d8317f1b9a9.
    (Closes: #645858)
  * [873e9f1] Drop deprecated cli.make

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Jan 2012 04:19:03 +0800

sparkleshare (0.6.0-1) unstable; urgency=low

  [ Carlos Martín Nieto ]
  * [e7facf8] Imported Upstream version 0.6.0
  * [3605835] Don't install README, it's no longer in the tarball
  * [c33134b] Do run distcheck, it works now

  [ Motiejus Jakštys ]
  * [db5b74e] Add gawk to build-depends

  [ Chow Loong Jin ]
  * [62b82a9] Replace Iain Lane with Carlos Martin Nieto in Uploaders

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Sat, 14 Jan 2012 06:02:24 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>
+Uploaders: Carlos Martín Nieto <carlos@cmartin.tk>
 Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
 Build-Depends-Indep: intltool,
                      libglib2.0-cil-dev (>= 2.12.2),
@@ -10,8 +10,7 @@
                      libnotify-cil-dev,
                      libwebkit-cil-dev,
                      mono-devel (>= 2.4.3),
-#                     See #649910
-#                     python-nautilus
+                     python-nautilus
 Standards-Version: 3.9.2
 Homepage: http://sparkleshare.org/
 Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/sparkleshare.git
@@ -25,7 +24,7 @@
          ${cli:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-# Recommends: python, python-nautilus
+Recommends: python, python-nautilus
 Description: distributed collaboration and sharing tool
  SparkleShare is a collaboration and sharing tool that is designed to keep
  things simple and to stay out of your way. It allows you to instantly sync

## sparkleshare 0.8.2

=== debian/changelog ===
sparkleshare (0.8.2-1ubuntu1) precise; urgency=low

  * Merge with Debian experimental, remaining changes:
    + Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as a branch
    in Debian's git repository. Please try to use this if possible (contact
    the Debian maintainers for merges).
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Fri, 24 Feb 2012 11:20:26 +0000

sparkleshare (0.8.2-1) unstable; urgency=low

  * [272b12a] Imported Upstream version 0.8.2
    + No longer messes with SSH config (Closes: #656107)
  * [96a15af] Re-add README.md to debian/docs. It's in the tarball again.
  * [770c73b] Use dh-autoreconf to call ./autogen.sh.

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Thu, 23 Feb 2012 22:47:40 +0000

sparkleshare (0.6.0-1ubuntu1) precise; urgency=low

  * Merge with Debian experimental, remaining changes:
    + Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as a branch
    in Debian's git repository. Please try to use this if possible (contact
    the Debian maintainers for merges).
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@ubuntu.com>  Sat, 14 Jan 2012 09:20:47 +0000

sparkleshare (0.4.2-1ubuntu1) precise; urgency=low

  * Merge with Debian experimental, remaining changes:
    + Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as a branch
    in Debian's git repository. Please try to use this if possible (contact
    the Debian maintainers for merges).
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@ubuntu.com>  Fri, 02 Dec 2011 17:14:04 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Carlos Martín Nieto <carlos@cmartin.tk>
-Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
+Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~), dh-autoreconf
 Build-Depends-Indep: intltool,
+                     libappindicator0.1-cil-dev (>= 0.0.7),
                      libglib2.0-cil-dev (>= 2.12.2),
                      libgtk2.0-cil-dev (>= 2.12.2),
                      libnotify-cil-dev,

=== debian/rules ===
#!/usr/bin/make -f

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- MCS=/usr/bin/mono-csc

%:
	dh $@ --with=cli,autoreconf

## sparkleshare 0.8.4

=== debian/changelog ===
sparkleshare (0.8.4-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    + Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as a branch
    in Debian's git repository. Please try to use this if possible (contact
    the Debian maintainers for merges).
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Mon, 11 Jun 2012 14:26:57 +0100

sparkleshare (0.8.4-1) unstable; urgency=low

  [ Jo Shields ]
  * [9a423ce] Imported Upstream version 0.8.4

  [ Carlos Martín Nieto ]
  * [bd3c9bd] There's no autogen anymore, use ./configure as usual.
    It looks like we do have tarball releases again.
  * [264b24c] Add
    0001-Don-t-call-update-desktop-database-from-the-Makefile.patch
  * [7ff3ad5] Remove README.md and add TRADEMARK to the installed docs
  * [2661826] Add patch
    0002-Fix-event-log-not-loading-on-Ubuntu.-Closes-729.patch
  * [f9780f2] Use the packaged jquery
  * [4dbf480] Bump Standards-Version to 3.9.3

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Mon, 11 Jun 2012 14:13:52 +0100

## sparkleshare 0.9.0

=== debian/changelog ===
sparkleshare (0.9.0-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [bcdc7ef] Fix watch file

  [ Iain Lane ]
  * [40dd1a8] Add missing epoch to git versioned dependency

  [ Carlos Martín Nieto ]
  * [1cf4989] debian/patches: add
    0001-linux-statusicon-Fix-statusicon-animation.-Closes-84.patch.  Fill the
    status icon array correctly so the in-progress animation gets shown
    instead of blinking.

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Mon, 23 Jul 2012 21:43:27 +0100

sparkleshare (0.9.0-1) unstable; urgency=low

  * [50bd5da] Imported Upstream version 0.9.0
  * [02f9752] debian/patches: Remove both patches.
    They are now upstream.
  * [6423c35] debian/docs: Re-add README.md and fix location of TRADEMARK

 -- Carlos Martín Nieto <carlos@cmartin.tk>  Sat, 30 Jun 2012 04:31:27 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Carlos Martín Nieto <carlos@cmartin.tk>
-Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~), dh-autoreconf
+Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
 Build-Depends-Indep: intltool,
-                     libappindicator0.1-cil-dev (>= 0.0.7),
                      libglib2.0-cil-dev (>= 2.12.2),
                      libgtk2.0-cil-dev (>= 2.12.2),
                      libnotify-cil-dev,
                      libwebkit-cil-dev,
                      mono-devel (>= 2.4.3),
                      python-nautilus
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sparkleshare.org/
 Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/sparkleshare.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/sparkleshare.git
@@ -20,8 +19,9 @@
 Package: sparkleshare
 Architecture: all
 Depends: gnome-icon-theme,
-         git (>= 1.7.1),
+         git (>= 1:1.7.1),
          gvfs (>= 1.3),
+         libjs-jquery,
          ${cli:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=3

https://github.com/hbons/SparkleShare/downloads /downloads/hbons/SparkleShare/sparkleshare-linux-(.*).tar.gz

## sparkleshare 1.1.0

=== debian/changelog ===
sparkleshare (1.1.0-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
   - Add build-dep on libappindicator for libappindicator0.1-cil-dev
     indicator support.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 12 Feb 2014 23:45:21 -0500

sparkleshare (1.1.0-1) unstable; urgency=low

  * [e45ec00] Imported Upstream version 1.1.0
  * [914d4f9] debian/watch: downloads moved to bitbucket

 -- Carlos Martín Nieto <cmn@dwim.me>  Mon, 27 May 2013 15:15:33 +0100

sparkleshare (1.0.0-1) unstable; urgency=low

  * [9b28584] Imported Upstream version 1.0.0
  * [7943d0f] Remove patch
  * [4e04623] Fix the name of the news and trademark files
  * [29653a9] Increase mono build dependency to 2.10 (Closes: #686006)

 -- Carlos Martín Nieto <cmn@dwim.me>  Tue, 14 May 2013 08:33:16 +0100

sparkleshare (0.9.0-2ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    + Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as a branch
    in Debian's git repository. Please try to use this if possible (contact
    the Debian maintainers for merges).
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Tue, 24 Jul 2012 13:41:26 +0100

sparkleshare (0.9.0-1ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining changes:
    + Add gbp.conf for Ubuntu branch.  Ubuntu sources are stored as a branch
    in Debian's git repository. Please try to use this if possible (contact
    the Debian maintainers for merges).
    + Add BD on libappindicator# to enable app indicator support

 -- Iain Lane <laney@debian.org>  Fri, 06 Jul 2012 18:34:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Carlos Martín Nieto <carlos@cmartin.tk>
 Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
 Build-Depends-Indep: intltool,
+                     libappindicator0.1-cil-dev (>= 0.0.7),
                      libglib2.0-cil-dev (>= 2.12.2),
                      libgtk2.0-cil-dev (>= 2.12.2),
                      libnotify-cil-dev,
                      libwebkit-cil-dev,
-                     mono-devel (>= 2.4.3),
+                     mono-devel (>= 2.10),
                      python-nautilus
 Standards-Version: 3.9.3
 Homepage: http://sparkleshare.org/

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- MCS=/usr/bin/mono-csc

%:
	dh $@ --with=cli

=== debian/watch ===
version=3

https://bitbucket.org/hbons/sparkleshare/downloads /hbons/sparkleshare/downloads/sparkleshare-linux-(.*).tar.gz

## sparkleshare 1.2

=== debian/changelog ===
sparkleshare (1.2-0.1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/gbp.conf:
      + Add for Ubuntu branch. Ubuntu sources are stored as a branch
        in Debian's git repository. Please try to use this if possible
        (contact the Debian maintainers for merges).
    - debian/control:
      + Enable App Indicator support.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 03 Jan 2015 22:52:53 +0100

sparkleshare (1.2-0.1) unstable; urgency=low

  * Non-maintainer upload
  * [6f73085] Imported Upstream version 1.2 (#730491)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 20 Oct 2014 23:31:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sparkleshare
 Section: utils
 Priority: optional
-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Carlos Martín Nieto <carlos@cmartin.tk>
 Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
 Build-Depends-Indep: intltool,
@@ -12,10 +13,10 @@
                      libwebkit-cil-dev,
                      mono-devel (>= 2.10),
                      python-nautilus
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://sparkleshare.org/
-Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/sparkleshare.git
-Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/sparkleshare.git
+Vcs-Git: git://anonscm.debian.org/pkg-cli-apps/packages/sparkleshare.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cli-apps/packages/sparkleshare.git
 
 Package: sparkleshare
 Architecture: all

## sparkleshare 1.5.0

=== debian/changelog ===
sparkleshare (1.5.0-2~bpo8+1) jessie-backports; urgency=medium

  * Backport for jessie.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 16 Aug 2016 16:46:26 +0100

sparkleshare (1.5.0-2) unstable; urgency=medium

  * Fetch updates from the upstream's master branch.
  * Ship AppStream metadata.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 14 May 2016 12:38:12 +0100

sparkleshare (1.5.0-1) unstable; urgency=medium

  [ Thanh Tung Nguyen ]
  * Fix test in order to use autoreconf
  * Add the m4 macros directories correctly

  [ Neil McGovern ]
  * Add stop command

  [ Andrew Shadura ]
  * Imported Upstream version 1.5.0
  * Update debian/watch.
  * Use dh 9:
    - Bump compat to 9
    - Build-depend on debhelper >= 9
    - Update cli-common-dev dependency.
  * Wrap and sort.
  * Update the copyrights:
    - SparkleLib is now LGPL-3+
    - Update copyright years
    - Add more Debian packagers
  * Install Authors.txt too.
  * SparkleShare 1.5 uses GTK+ 3, update the build dependencies.
  * Depend on a newer Git (>= 1.8.0).
  * Patch GLib.Application.Run call.
  * Update and refresh the patches.
  * Drop explicit paths in autoreconf invocation.
  * Set myself as an uploader.
  * Remove autoconf artifacts on clean.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 19 Jan 2016 09:06:32 +0100

sparkleshare (1.2-1) unstable; urgency=medium

  * [f4fb0ef] --with no longer takes an =
  * [9debf85] Force build with 4.5 libraries

 -- Jo Shields <directhex@apebox.org>  Mon, 21 Dec 2015 22:03:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: sparkleshare
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
-Uploaders: Carlos Martín Nieto <carlos@cmartin.tk>
-Build-Depends: cli-common-dev (>= 0.5.7~), debhelper (>= 7.0.50~)
-Build-Depends-Indep: intltool,
-                     libappindicator0.1-cil-dev (>= 0.0.7),
-                     libglib2.0-cil-dev (>= 2.12.2),
-                     libgtk2.0-cil-dev (>= 2.12.2),
-                     libnotify-cil-dev,
-                     libwebkit-cil-dev,
-                     mono-devel (>= 2.10),
+Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
+Uploaders: Andrew Shadura <andrewsh@debian.org>
+Build-Depends: cli-common-dev (>= 0.8~), debhelper (>= 9)
+Build-Depends-Indep: dh-autoreconf,
+                     intltool,
+                     libappindicator3-0.1-cil-dev,
+                     libgtk3.0-cil-dev,
+                     libnotify3.0-cil-dev,
+                     libwebkitgtk3.0-cil-dev,
+                     mono-devel (>= 3.2.8),
                      python-nautilus
 Standards-Version: 3.9.6
 Homepage: http://sparkleshare.org/
@@ -20,8 +19,8 @@
 
 Package: sparkleshare
 Architecture: all
-Depends: gnome-icon-theme,
-         git (>= 1:1.7.1),
+Depends: git (>= 1:1.8.0),
+         gnome-icon-theme,
          gvfs (>= 1.3),
          libjs-jquery,
          ${cli:Depends},

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\/(.*)$/sparkleshare-$1/ https://github.com/hbons/SparkleShare/releases /hbons/SparkleShare/archive/(.*).tar.gz

## sparkleshare 2.0.1

=== debian/changelog ===
sparkleshare (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop old patches, refresh the remaining one.
  * Update the path to the AppData file.
  * Update debian/docs.
  * Update copyrights.
  * Add the missing sources for jQuery.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 May 2018 13:06:46 +0200

sparkleshare (1.5.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 06-move_to_webkit2.patch:
    - Cherry-picked patch borrowed from Fedora 27 to use the supported
      webkit2gtk library (Closes: #878111)
  * debian/control:
    - Build-depend on libwebkit2-sharp-4.0-cil-dev instead of
      libwebkitgtk3.0-cil-dev

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Oct 2017 18:47:08 -0400

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
-Uploaders: Andrew Shadura <andrewsh@debian.org>
+Uploaders: Andrej Shadura <andrewsh@debian.org>
 Build-Depends: cli-common-dev (>= 0.8~), debhelper (>= 9)
 Build-Depends-Indep: dh-autoreconf,
                      intltool,
                      libappindicator3-0.1-cil-dev,
                      libgtk3.0-cil-dev,
                      libnotify3.0-cil-dev,
-                     libwebkitgtk3.0-cil-dev,
+                     libwebkit2-sharp-4.0-cil-dev,
                      mono-devel (>= 3.2.8),
                      python-nautilus
 Standards-Version: 3.9.6
 Homepage: http://sparkleshare.org/
-Vcs-Git: git://anonscm.debian.org/pkg-cli-apps/packages/sparkleshare.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cli-apps/packages/sparkleshare.git
+Vcs-Git: https://salsa.debian.org/debian/sparkleshare
+Vcs-Browser: https://salsa.debian.org/debian/sparkleshare
 
 Package: sparkleshare
 Architecture: all

## sparkleshare 3.28

=== debian/changelog ===
sparkleshare (3.28-1) unstable; urgency=medium

  [ Maxime “pep” Buquet ]
  * New upstream release.
  * Change buildsystem to meson.
  * Remove the start/stop patch that has never been upstreamed.
  * Patch meson.build to remove a post-install script.
  * Update debian/copyright.

  [ Andrej Shadura ]
  * Install RELEASE_NOTES.txt as a changelog.
  * Depend on git-lfs (Closes: #899223).
  * Make sure appdate gets installed into /usr/share/metainfo only.
  * Fix permissions on shipped HTML files.
  * Use debhelper compat level 11.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Aug 2018 12:01:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Andrej Shadura <andrewsh@debian.org>
-Build-Depends: cli-common-dev (>= 0.8~), debhelper (>= 9)
-Build-Depends-Indep: dh-autoreconf,
-                     intltool,
+Build-Depends: cli-common-dev (>= 0.8~), debhelper (>= 11.2), meson
+Build-Depends-Indep: intltool,
                      libappindicator3-0.1-cil-dev,
                      libgtk3.0-cil-dev,
                      libnotify3.0-cil-dev,
@@ -20,6 +19,7 @@
 Package: sparkleshare
 Architecture: all
 Depends: git (>= 1:1.8.0),
+         git-lfs,
          gnome-icon-theme,
          gvfs (>= 1.3),
          libjs-jquery,

=== debian/rules ===
#!/usr/bin/make -f

export CSC=/usr/bin/mono-csc

%:
	dh $@ --with=cli --buildsystem=meson

override_dh_auto_install:
	dh_auto_install
	mv debian/sparkleshare/usr/share/appdata debian/sparkleshare/usr/share/metainfo
	chmod -x debian/sparkleshare/usr/share/sparkleshare/html/*.html

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.txt

## sparkleshare 3.28%2Bgit20190525%2Bcf446c0

=== debian/changelog ===
sparkleshare (3.28+git20190525+cf446c0-3) unstable; urgency=medium

  * Suggest gnome-shell-extension-appindicator (Closes: #845616).
  * Wrap long lines in changelog entries: 0.4.0-2, 0.2.4-1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 13 Apr 2020 09:32:37 +0200

sparkleshare (3.28+git20190525+cf446c0-2) unstable; urgency=medium

  * Drop bogus Python recommends (Closes: #948846).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Jan 2020 12:31:26 +0100

sparkleshare (3.28+git20190525+cf446c0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update Vcs-*.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Remove Python dependency (Closes: #942781, #943234, #947300).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Dec 2019 12:56:34 +0100

sparkleshare (3.28+git20190117-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * d/changelog: Remove trailing whitespaces.

  [ Andrej Shadura ]
  * New upstream snapshot 3.28+git20190117.
  * Add a git snapshot watch line.
  * Update the homepage and copyrights.
  * Update the package description.
  * Bump Standards-Version, no changes.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 Jan 2019 15:35:21 +0100

## sparkleshare 3.28+git20190117

=== meson_options.txt ===
option('ubuntu', type: 'boolean', value: false)
option('nightly', type: 'boolean', value: false)

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                      libwebkit2-sharp-4.0-cil-dev,
                      mono-devel (>= 3.2.8),
                      python-nautilus
-Standards-Version: 3.9.6
-Homepage: http://sparkleshare.org/
+Standards-Version: 4.3.0
+Homepage: https://sparkleshare.org/
 Vcs-Git: https://salsa.debian.org/debian/sparkleshare
 Vcs-Browser: https://salsa.debian.org/debian/sparkleshare
 
@@ -33,7 +33,7 @@
  with any Git repository you have access to.
  .
  SparkleShare can be used as a rough alternative to web services such as
- Dropbox or Ubuntu One.
+ Dropbox or Seafile.
  .
  Though SparkleShare is not made to be a graphical frontend for git or a backup
  tool, it may be useful for other kinds of purposes as well, like backing up

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/(.*)$/sparkleshare-$1/ https://github.com/hbons/SparkleShare/releases /hbons/SparkleShare/archive/(.*).tar.gz

opts="mode=git, pgpmode=none, pretty=3.28+git%cd, repack, compression=xz" \
https://github.com/hbons/SparkleShare HEAD

## sparkleshare 3.28+git20190525+cf446c0

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Andrej Shadura <andrewsh@debian.org>
-Build-Depends: cli-common-dev (>= 0.8~), debhelper (>= 11.2), meson
+Build-Depends: cli-common-dev (>= 0.8~), meson, debhelper-compat (= 12)
 Build-Depends-Indep: intltool,
                      libappindicator3-0.1-cil-dev,
                      libgtk3.0-cil-dev,
                      libnotify3.0-cil-dev,
                      libwebkit2-sharp-4.0-cil-dev,
-                     mono-devel (>= 3.2.8),
-                     python-nautilus
-Standards-Version: 4.3.0
+                     mono-devel (>= 3.2.8)
+Standards-Version: 4.4.1
 Homepage: https://sparkleshare.org/
-Vcs-Git: https://salsa.debian.org/debian/sparkleshare
+Vcs-Git: https://salsa.debian.org/debian/sparkleshare.git
 Vcs-Browser: https://salsa.debian.org/debian/sparkleshare
 
 Package: sparkleshare
@@ -26,7 +25,7 @@
          ${cli:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python, python-nautilus
+Suggests: gnome-shell-extension-appindicator
 Description: distributed collaboration and sharing tool
  SparkleShare is a collaboration and sharing tool that is designed to keep
  things simple and to stay out of your way. It allows you to instantly sync

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mv debian/sparkleshare/usr/share/appdata debian/sparkleshare/usr/share/metainfo
 	chmod -x debian/sparkleshare/usr/share/sparkleshare/html/*.html
 
 override_dh_installchangelogs:

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/(.*)$/sparkleshare-$1/ https://github.com/hbons/SparkleShare/releases /hbons/SparkleShare/archive/(.*).tar.gz

opts="mode=git, pgpmode=none, pretty=3.28+git%cd+%h, repack, compression=xz" \
 https://github.com/hbons/SparkleShare.git \
 HEAD
